FROM openshift/golang-builder:1.13 AS builder
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.95696c8 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.95696c8 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=95696c8 OS_GIT_VERSION=4.5.0-202106111650.p0.git.95696c8-95696c8 SOURCE_DATE_EPOCH=1583436311 SOURCE_GIT_COMMIT=95696c8bc915cbacb498e2524ca8b856141c7ba8 SOURCE_GIT_TAG=95696c8 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

WORKDIR /go/src/github.com/openshift/cluster-resource-override-admission-operator
COPY . .
RUN make build

FROM openshift/ose-base:v4.5.0.20210611.170122
ENV __doozer=update BUILD_RELEASE=202106111650.p0.git.95696c8 BUILD_VERSION=v4.5.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=5 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.5.0-202106111650.p0.git.95696c8 SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=95696c8 OS_GIT_VERSION=4.5.0-202106111650.p0.git.95696c8-95696c8 SOURCE_DATE_EPOCH=1583436311 SOURCE_GIT_COMMIT=95696c8bc915cbacb498e2524ca8b856141c7ba8 SOURCE_GIT_TAG=95696c8 SOURCE_GIT_URL=https://github.com/openshift/cluster-resource-override-admission-operator 

COPY --from=builder /go/src/github.com/openshift/cluster-resource-override-admission-operator/bin/cluster-resource-override-admission-operator /usr/bin/

LABEL \
        io.k8s.display-name="OpenShift ClusterResourceOverride Operator" \
        io.k8s.description="Manages Pod Resource(s)" \
        io.openshift.tags="openshift,overcommit" \
        com.redhat.delivery.appregistry="False" \
        name="openshift/ose-clusterresourceoverride-rhel7-operator" \
        com.redhat.component="ose-clusterresourceoverride-operator-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Node" \
        release="202106111650.p0.git.95696c8" \
        io.openshift.build.commit.id="95696c8bc915cbacb498e2524ca8b856141c7ba8" \
        io.openshift.build.source-location="https://github.com/openshift/cluster-resource-override-admission-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/cluster-resource-override-admission-operator/commit/95696c8bc915cbacb498e2524ca8b856141c7ba8" \
        version="v4.5.0"

